use post::Post;

pub fn render_post(layout: &str, post_template: &str, post: &Post) -> String {
    layout.replace(
        "{{ contents }}",
        &post_template
            .replace("{{ title }}", &post.title)
            .replace("{{ body }}", &post.body),
    )
}

pub fn render_post_listing(
    layout: &str,
    post_listing_template: &str,
    post_item_template: &str,
    posts: &Vec<Post>,
) -> String {
    layout.replace(
        "{{ contents }}",
        &post_listing_template.replace(
            "{{ post_listing }}",
            &posts
                .iter()
                .map(|ref post| {
                    post_item_template
                        .replace("{{ slug }}", &post.slug)
                        .replace("{{ title }}", &post.title)
                }).collect::<Vec<String>>()
                .join("\n"),
        ),
    )
}
