use post::Post;
use render::{render_post, render_post_listing};
use std::fs;
use std::path;

pub fn write_post(cwd: &path::PathBuf, layout: &str, post_template: &str, post: &Post) {
    match fs::create_dir(cwd.join("public").join(&post.slug)) {
        Ok(_) => {}
        Err(err) => match err.kind() {
            std::io::ErrorKind::AlreadyExists => {}
            _ => panic!(err),
        },
    }
    fs::write(
        cwd.join("public").join(&post.slug).join("index.html"),
        render_post(layout, post_template, post),
    ).expect("Unable to write file");
}

pub fn write_post_listing(
    cwd: &path::PathBuf,
    layout: &str,
    post_listing_template: &str,
    post_item_template: &str,
    posts: &Vec<Post>,
) {
    fs::write(
        cwd.join("public").join("index.html"),
        render_post_listing(layout, post_listing_template, post_item_template, posts),
    ).expect("Unable to write file");
}
